%define pkg_name        Bot-BasicBot-Pluggable
%define pkg_version     0.50
%define rpm_pkg_version 0.50
%define rpm_pkg_release 2.n0i.2

Summary:       Bot::BasicBot extension allowing for pluggable modules
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TO/TOMI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)
BuildRequires: perl(Bot::BasicBot) >= 0.30
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(DBM::Deep)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(URI::Find::Simple)
BuildRequires: perl(URI::Title) >= 0.1
BuildRequires: perl(XML::Feed)


%global perl_filter_req '(Google|Feed|DBM|DBI|URI)'


%description
Bot::BasicBot::Pluggable started as Yet Another Infobot replacement, but
now is a generalised framework for writing infobot-type bots, that lets you
keep each function separate. You can have separate modules for factoid
tracking, 'seen' status, karma, googling, etc.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes examples/ README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.50-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- rebuild on perl 5.8.8

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0.50-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
